TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ElementaryDivisors ( elt-alg^mat X ) -> seq()

### Description

<shortdoc> The elementary divisors (i.e., primary invariants) of A. </shortdoc>

### Examples

x_m := Matrix(Z,3,3,[2,-3,1,5,7,1,1,3,5]); ElementaryDivisors(x_m);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack